html, body {
  font-family: 'Lato', sans-serif;
  font-weight: 300;
  overflow-x: hidden;
}

/* Index Page Styling follows */

.greynav {
  height: 70px;
}

.nav-links-right {
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
  font-size: 14px;
  display: none;
}

.btn-group {
  font-family: 'Montserrat', sans-serif;
  font-size: 14px;
}

.navrightcontain {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.fa-info:hover {
  cursor: pointer;
}

.logocontain {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.logo {
  width: 300px;
  cursor: pointer;
}

.pagecard {
  height: 100vh;
}

.getstarted {
  cursor: pointer;
}

.nav-links-right {
  cursor: pointer;
}

.coincontain {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

#coin {
  width: 300px;
}

.landingdata {
  position: relative;
}

.textbelowtitle {
  margin-top: 5px;
}

.guidelines {
  font-size: 14px;
}

.title {
  font-family: 'Frank Ruhl Libre', serif;
}

.landing-gradient {
  background-image: radial-gradient(circle, #eeeeee, #eaeaea, #e7e7e7, #e3e3e3, #e0e0e0);
}

#ideaslogo {
  height: 35px;
  width: 250px;
  display: none;
}

.inputscontain {
  position: relative;
}

.greybox {
  background: #e0e0e0;
}

.Butt {
  background: #0097A7; /* fallback for old browsers */
  border-color: #00838F;
  color: white;
  width: 120px;
  height: 40px;
  border-radius: 20px;
  font-size: 12px;
  -webkit-transition: all 1s ease;
  -o-transition: all 1s ease;
  transition: all 1s ease;
  -webkit-box-shadow: 0 6px 10px 0 rgba(0, 0, 0, .14), 0 1px 18px 0 rgba(0, 0, 0, .12), 0 3px 5px -1px rgba(0, 0, 0, .2);
          box-shadow: 0 6px 10px 0 rgba(0, 0, 0, .14), 0 1px 18px 0 rgba(0, 0, 0, .12), 0 3px 5px -1px rgba(0, 0, 0, .2);
}

.Butt:focus {
  background: #0097A7; /* fallback for old browsers */
  border-color: #00838F;
}

.Butt:hover {
  background: #00838F; /* fallback for old browsers */
  border-color: #00838F;
  -webkit-box-shadow: 0 8px 10px 1px rgba(0, 0, 0, .14), 0 3px 14px 2px rgba(0, 0, 0, .12), 0 5px 5px -3px rgba(0, 0, 0, .2);
          box-shadow: 0 8px 10px 1px rgba(0, 0, 0, .14), 0 3px 14px 2px rgba(0, 0, 0, .12), 0 5px 5px -3px rgba(0, 0, 0, .2);
}

#card1 {
  height: calc(100vh - 70px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  position: relative;
}

.landheading {
  font-size: 50px;
  font-weight: 300;
  text-align: center;
  color: white;
}

.guideContain {
  padding: 20px;
  margin-bottom: 50px;
  border: 1px solid;
  border-radius: 15px;
  border-color: #BDBDBD;
}

.aboutheading {
  font-size: 50px;
  font-weight: 300;
  text-align: center;
  color: #1565C0;
}

.labelcontain {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

.legendOrdinal text {
  font-size: 10px;
}

@media only screen and (max-width: 545px) {
  .Butt {
    display: none;
  }
  .slidercontain {
      height: calc(100vh - 110px - 2rem);
  }
  .landheading {
    font-size: 35px;
  }
  .logo {
    margin-left: auto;
    margin-right: auto;
  }
  .greynav {
    background-color: #e0e0e0;
  }
}

@media (max-height: 545px) and (orientation: landscape) {
  #card1 {
    height: 600px;
  }
}

/* Visualzation Page Styling follows */

#card2 {
  position: relative;
  z-index: 1;
  background-color: white;
}

#cat1input, #cat2input, #cat3input, #cat4input, #cat5input, #cat6input, #cat7input, #cat8input, #cat9input, #cat10input {
  display: none;
}

.dropinputs {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: relative;
}

.assumptionFilters {
  position: absolute;
  z-index: 22;
  left: 95px;
  font-size: 12px;
  font-weight: 499;
  color: rgb(25, 118, 210);
}

.selectVis {
  left: 136px;
}

.dropdown {
  margin-right: 10px;
  padding-top: 15px;
}

.btn-group {
  padding-top: 15px;
}

.buttoncontain {
  margin-bottom: 15px;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

.sliderValue {
  color: rgb(25, 118, 210);
  font-weight: 700;
  font-size: 12px;
  margin-bottom: 0px;
}

.sliderPrompt {
  color: #1976D2;
  font-weight: 300;
  margin-bottom: 5px;
}

.notePrompt {
  font-weight: 400;
}

.sliderRange {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  margin-bottom: 3px;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  font-size: 12px;
  color: #d32f2f;
  font-weight: 700;
}

.edited {
  position: absolute;
  bottom: 0;
  left: 4%;
  height: 6px;
  background-color: #EEEEEE;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  width: 92%;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.yearcategory {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  height: 25px;
  margin-bottom: 15px;
}

.resetAll {
  color: #E53935;
  margin-left: 10px;
  cursor: pointer;
}

.hideinput {
  color: #E53935;
  cursor: pointer;
  display: none;
}

.fa-undo {
  cursor: pointer;
}

@media only screen and (max-width: 991px) {
  .yearcategory {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    height: auto;
  }
  .resetAll {
    margin-left: 0px;
  }
  .navbar-nav {
    flex-direction: row;
  }
}

@media only screen and (max-width: 750px) {
  .hideinput {
    display: block;
  }
}

.slidercontain {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
/*  height: calc(100vh - 110px - 2rem); */
  margin-bottom: 15px;
  overflow-y: scroll;
  position: relative;
}

.about {
  background-color: #e0e0e0;
  padding-bottom: 15px;
}

.selectbuttons {
  height: 40px;
  font-size: 14px;
  padding-left: 20px;
  padding-right: 20px;
  background: #e0e0e0;
  border-color: #e0e0e0;
  color: black;
  -webkit-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.selectbuttons:focus, .selectbuttons:active {
  background: #e0e0e0;
  border-color: #e0e0e0;
  color: black;
  outline: none !important;
  -webkit-box-shadow: none;
          box-shadow: none;
}

.btn-primary:not(:disabled):not(.disabled).active:focus, .btn-primary:not(:disabled):not(.disabled):active:focus, .show>.btn-primary.dropdown-toggle:focus {
  -webkit-box-shadow: none;
          box-shadow: none;
}


.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
  background: #e0e0e0;
  border-color: #e0e0e0;
  color: rgb(25, 118, 210);
  outline: none !important;
}

.selectbuttons:hover {
  background: #e0e0e0;
  border-color: #e0e0e0;
  color: rgb(25, 118, 210);
}

.vizbutton {
  font-weight: 500;
  font-size: 12px;
}

.dropdown-menu {
  -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, .05), 0 0.5px 8px 0 rgba(0, 0, 0, .03), 0 1px 2px -1px rgba(0, 0, 0, .02);
          box-shadow: 0 2px 4px 0 rgba(0, 0, 0, .05), 0 0.5px 8px 0 rgba(0, 0, 0, .03), 0 1px 2px -1px rgba(0, 0, 0, .02);
  font-size: 13px;
}



.dash {
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.inputs {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  margin-bottom: 5px;
}

.vizcontain, .deficitcontain {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}

.radiobuttons {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.inputbox {
  padding: 10px;
  margin: 0px 10px 10px 10px;
  background: #eee;
  background-image: linear-gradient(to left bottom, #eeeeee, #f0f0f0, #f1f2f1, #f3f3f3, #f5f5f5);
  border-radius: 10px;
  position: relative;
}

.custom-range::-webkit-slider-thumb {
  background: #757575; /* Green background */

}

.catdrop:active {
  background-color: #E0E0E0;
}

.catdrop, .yeardrop {
  cursor: pointer;
}

.yeardrop:active {
  background-color: #E0E0E0;
}

@media only screen and (max-width: 994px) {
  .inputs {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
  .footersection {
    padding: 20px;
  }
}

@media only screen and (max-width: 545px) {
  .radiobuttons {
    margin-top: 16px;
    font-size: 13px;
  }
  .inputbox {
    width: 90%;
    margin-left: auto;
    margin-right: auto;
  }
  .buttoncontain {
    width: 100%;
  }
  .dropdown-menu {
    font-size: 11px;
  }
}

@media only screen and (max-width: 767px) and (min-width: 546px) {
  .buttoncontain {
    width: 100%;
  }

  .slidercontain {
      height: calc(100vh - 110px - 2rem);
  }

  .inputbox {
    width: 75%;
    margin-left: auto;
    margin-right: auto;
  }
}

/* D3 Styling follows */

.axis line {
  stroke: none;
}
.gridline line, .gridline path {
  stroke: grey;
  stroke-width: 0.7;
  stroke-dasharray: 5;
  opacity: 0.5;
}

.legendOrdinal {
  font-size: 12px;
  font-weight: 400;
}

 .y.axis.label {
   fill: black;
   text-anchor: middle;
   font-size: 12px;
 }

.databox {
  background-color: rgba(255, 255, 255, 0.75);
  width: 120px;
  border-radius: 5px;
  overflow: hidden;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: (1fr)[12];
      grid-template-columns: repeat(12, 1fr);
  -ms-grid-rows: auto auto auto auto;
      grid-template-rows: auto auto auto auto;
  padding-bottom: 5px;
  -webkit-box-shadow: 0 6px 10px 0 rgba(0, 0, 0, .14), 0 1px 18px 0 rgba(0, 0, 0, .12), 0 3px 5px -1px rgba(0, 0, 0, .2);
          box-shadow: 0 6px 10px 0 rgba(0, 0, 0, .14), 0 1px 18px 0 rgba(0, 0, 0, .12), 0 3px 5px -1px rgba(0, 0, 0, .2);
  opacity: 0.75;
  -webkit-transition: all 0.3s ease-in-out 0s;
}

.toolblob {
  grid-column: span 3;
  padding-left: 10px;
  height: 20px;
  border-right: 0.5px solid;
  border-right-color: #bdbdbd;
}

.toolnumber {
  grid-column: span 9;
  font-size: 12px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  height: 20px;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
  padding-right: 10px;
}

.toolhead {
  grid-column: span 12;
  background-color: rgba(255, 255, 255, 0.75);
  padding: 5px 10px 2px 10px;
  font-size: 14px;
  font-weight: 400;
  color: #757575;
}

.year {
  color: #616161;
  font-weight: 400;
}

.chart-title {
  font-size: 16px;
  font-weight: 500;
}


/* d3 donut styling follows */

.total_text {
   text-anchor: middle;
   font-family: sans-serif;
   fill: blue;
 }

 .rev_exp_title {
   text-anchor: middle;
   font-family: sans-serif;
   fill: black;
   text-decoration: underline;
}

.viewpaper {
  font-weight: 500;
  cursor: pointer;
}

/* Footer CSS follows */

.footer {
  background-color: #e0e0e0;
  background-image: linear-gradient(to left bottom, #eeeeee, #eaeaea, #e7e7e7, #e3e3e3, #e0e0e0);
  color: #616161;
  padding: 25px;
  font-size: 14px;
}

.footersection {
  padding: 10px 50px;
}

#coin_foot {
  width: 115px;
}

.footercoin {
  margin-top: 2px;
  border-right: 1px solid;
  border-right-color: #9E9E9E;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

#ideasFacebook, #ideasTwitter, #ideasLinked {
  cursor: pointer;
}

.ideasfooterinfocontain {
  display: flex;
  justify-content: space-between;
}

.ideasfooterinfo {
  display: flex;
}

.ideassocial {
  display: flex;
}

.footerel {
  margin-bottom: 0px;
}

.footerrightel {
  margin-left: 10px;
}

.socialrightel {
  margin-left: 15px;
}

.plotreeLogo {
  width: 32px;
  padding-left: 2px;
  padding-right: 2px;
  -webkit-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
  transition: all 0.5s ease;
}

.plotreeLogo:hover {
  width: 35px;
}

.footerbottom {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  margin-bottom: 25px;
  font-family: 'Frank Ruhl Libre', serif;
  padding: 0px 50px;
  font-size: 12px;
  color: black;
}

.footlink {
  -webkit-transition: all 0.6s ease;
  -o-transition: all 0.6s ease;
  transition: all 0.6s ease;
  cursor: pointer;
}

.footlink:hover {
  color: black;
}

.chart-contain, .deficit-contain, .donut-contain {
    display: inline-block;
    position: relative;
    width: 90%;
    vertical-align: top;
    overflow: hidden;
}

.chart-contain {
  padding-bottom: 15px;
}

.deficit-contain {
  padding-bottom: 15px;
}

.svg-content-responsive {
    display: inline-block;
    position: absolute;
    top: 10px;
    left: 0;
    margin-top: 150px;
}

.svg-content-responsive-II {
  display: inline-block;
  position: absolute;
  left: 0;
}

.yearInputs {
  background: #eee;
  background-image: linear-gradient(to left bottom, #eeeeee, #f0f0f0, #f1f2f1, #f3f3f3, #f5f5f5);
  font-size: 13px;
  margin-bottom: 15px;
  padding: 10px;
  border-radius: 10px;
}

.inputcell {
  width: 16%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 0px 2px 0px 2px;
}

.inputcellYear, .inputcellTitle {
  text-align: center;
  margin-bottom: 1px;
  font-weight: 500;
}

.cellinput {
  border-radius: 15px;
  font-size: 13px;
  text-align: right;
  background: #fafafa;
  border: 1px solid;
  border-color: #bdbdbd;
}

input:focus{
  outline: none;
}

.form-control:focus {
  border-color: none;
  -webkit-box-shadow: none;
          box-shadow: none;
}

.cellinputheadings {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.inputcellcontainer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin-top: 5px;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.catheading {
  margin-bottom: 1px;
  padding: 8px 24px 8px 24px;
  font-weight: 500;
  font-size: 13px;
  background-color: #E0E0E0;
  color: rgb(25, 118, 210);
  margin: 5px 0px;
}

#coin {
  display: none;
}

#updateRestYears, #resetRestYears {
  margin-left: 5px;
  color: #757575;
  cursor: pointer;
  font-weight: 500;
  border: 1px solid;
  padding: 3px;
  border-color: #757575;
  border-radius: 3px;
  font-size: 12px;
}

#updateRestYears {
  color: rgb(25, 118, 210);
}

#resetRestYears {
  color: #E53935;
}

@media only screen and (min-width: 1000px) {
  .svg-content-responsive {
    margin: 140px 40px;
  }
  .svg-donut-responsive {
    margin: 50px;
  }
  .svg-content-responsive-II {
    margin: 40px;
  }
}

@media only screen and (min-width: 1350px) {
  .svg-content-responsive {
    margin: 140px 80px 20px 80px ;
  }
  .svg-donut-responsive {
    margin: 20px 80px 20px 80px;
  }
  .svg-content-responsive-II {
    margin: 10px 80px 10px 80px;
  }
}

@media only screen and (max-width: 1000px) {
  .chart-contain {
    padding-bottom: 10px;
  }
  .deficit-contain {
    padding-bottom: 10px;
  }
}

@media only screen and (max-width: 994px) {
  .footersection {
    padding: 20px;
  }
  .footerbottom {
    padding: 0px 20px;
  }
  .navrightcontain {
    display: none;
  }
  .inputcellTitle {
    width: 60%;
  }
  .footercoin {
    border-right: none;
  }
}

@media only screen and (max-width: 575px) {
  .getstartedhide {
    display: none;
  }
  .guideContain {
    border: none;
    font-size: 13px;
  }
  .assumptionFilters {
    left: 28%;
  }
  .selectVis {
    left: 32%;
  }
}

@media only screen and (max-width: 767px) {
  #coin {
    margin-bottom: 250px;
  }
  .maintitlecontain {
    margin-top: 300px;
  }
  .ideasfooterinfocontain {
    flex-direction: column;
  }
  .ideassocial {
    margin-top: 5px;
  }
}

@media only screen and (max-width: 620px) {
  .ideasfooterinfo {
    flex-direction: column;
  }
  .footerrightel {
    margin-left: 0px;
  }
  .footerel {
    margin-bottom: 1rem;
  }
}

.copyright {
  display: flex;
  justify-content: space-between;
}

.copyrightitem {
  margin-top: 1rem;
}

.title {
  font-size: 2.5rem;
}

#description {
  font-size: 15px;
}

@media only screen and (max-width: 700px) {
  .title {
    font-size: 30px;
  }
  #description {
    font-size: 14px;
  }

  .chart-contain, .deficit-contain, .donut-contain {
    width: 100%;
  }
}


@media only screen and (max-width: 450px) {
  .chart-contain {
    padding-bottom: 10px;
  }
  .deficit-contain {
    padding-bottom: 10px;
  }
  .selectbuttons {
    padding-left: 10px;
    padding-right: 10px;
  }
  .copyright {
    flex-direction: column;
    justify-content: center;
  }
  .copyrightitem {
    margin-top: 0px;
  }
  .ideassocial {
    margin-bottom: 1rem;
  }
}

@media only screen and (max-width: 400px) {
  #description {
    display: none;
  }
  .title {
    font-size: 30px;
  }
  #coin {
    margin-bottom: 200px;
  }
}

@media only screen and (max-width: 1350px) and (min-width: 1200px) {
  .chart-contain {
    padding-bottom: 10px;
  }
}

@media only screen and (max-width: 455px) {
  .yearInputs {
    display: none;
  }
  .svg-content-responsive {
    margin-top: 30px;
  }
}
